# MSP::CCS::Orthographic Class Reference

`#include <Orthographic.h>`

Inheritance diagram for MSP::CCS::Orthographic:

List of all members.

## Public Member Functions

| Orthographic (double ellipsoidSemiMajorAxis, double ellipsoidFlattening, double centralMeridian, double originLatitude, double falseEasting, double falseNorthing)
| Orthographic (const Orthographic &o)
| ~Orthographic (void)
Orthographic & | operator= (const Orthographic &o)
MapProjection4Parameters * | getParameters () const
MSP::CCS::MapProjectionCoordinates * | convertFromGeodetic (MSP::CCS::GeodeticCoordinates *geodeticCoordinates)
MSP::CCS::GeodeticCoordinates * | convertToGeodetic (MSP::CCS::MapProjectionCoordinates *mapProjectionCoordinates)

## Detailed Description

Definition at line 103 of file Orthographic.h.

## Constructor & Destructor Documentation

Orthographic::Orthographic | ( | double | ellipsoidSemiMajorAxis,
|  | double | ellipsoidFlattening,
|  | double | centralMeridian,
|  | double | originLatitude,
|  | double | falseEasting,
|  | double | falseNorthing |
| ) |  |  |

Definition at line 125 of file Orthographic.cpp.

Orthographic::Orthographic | ( | const Orthographic & | o | ) |

Definition at line 197 of file Orthographic.cpp.

Orthographic::~Orthographic | ( | void |  | ) |

Definition at line 214 of file Orthographic.cpp.

## Member Function Documentation

MSP::CCS::MapProjectionCoordinates * Orthographic::convertFromGeodetic | ( | MSP::CCS::GeodeticCoordinates * | geodeticCoordinates | ) |

Definition at line 263 of file Orthographic.cpp.

MSP::CCS::GeodeticCoordinates * Orthographic::convertToGeodetic | ( | MSP::CCS::MapProjectionCoordinates * | mapProjectionCoordinates | ) |

Definition at line 326 of file Orthographic.cpp.

MapProjection4Parameters * Orthographic::getParameters | ( |  | ) | const

Definition at line 241 of file Orthographic.cpp.

Orthographic & Orthographic::operator= | ( | const Orthographic & | o | ) |

Definition at line 219 of file Orthographic.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/orthogr/Orthographic.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/orthogr/Orthographic.cpp